Description

Hello,

When an expression is defined as a reference for the rotation angle in style properties, the "Rotate Point Symbols" tool does not work.

Only a numeric field allows its use.

My angle field must be in grad, anti-trigonometric, 0 in the East (compliance with specifications), so I need an expression to convert these

values to display it right QGIS.

Another solution would be to be able to change the type of value of the angles in the project:

- degree, grad, radian

- arithmetic or geographic system

- 0 to North or 0 to East

Thank you.

History

#1 - 2018-07-26 05:14 PM - Giovanni Manghi

- Easy fix? changed from Yes to No

- Status changed from Open to Feedback

Why feature request?

#2 - 2018-07-27 11:04 AM - Corentin CHARLOT

Feature request if QGIS allows to switch between :

- degree, grad, radian

- arithmetic or geographic system

- 0 to North or 0 to East

Bug :

When an expression is defined as a reference for the rotation angle in style properties, the "Rotate Point Symbols" tool does not work.

I don't know which solution is the best and easier to fix/implement...

2025-05-17 1/2



#3 - 2018-07-27 10:13 PM - Nyall Dawson

Allowing interactive editing when an expression is set is basically impossible. It would require that qgis had an expression solver which could reverse an

expression to calculate the value which must be saved in a particular field. It'd only work for expressions which are reversible and which use a single field.

In short, a huge amount of effort for little reward.
